ujm_question_bank_filter:
    pattern: /bank/filter/{idExo}
    defaults: { _controller: UJMExoBundle:Question:bankFilter, idExo: -1 }

ujm_question_index:
    pattern: /index/{pageNow}/{pageNowShared}/{categoryToFind}/{titleToFind}/{resourceId}/{displayAll}
    defaults: { _controller: UJMExoBundle:Question:index, pageNow: 0, pageNowShared: 0, categoryToFind: z, titleToFind: z, resourceId: -1, displayAll: 0 }
    #requirements:
        #categoryToFind: ".+"
        #titleToFind: ".+"

ujm_question_new:
    pattern:  /new/{exoID}/{pageToGo}/{maxPage}/{nbItem}
    defaults: { _controller: UJMExoBundle:Question:new, exoID: -1, pageToGo: 1, maxPage: 10, nbItem: 1 }

ujm_question_edit:
    pattern:  /{id}/edit/{exoID}
    defaults: { _controller: UJMExoBundle:Question:edit, exoID: -1 }

ujm_question_delete:
    pattern:  /{id}/delete/{pageNow}/{maxPage}/{nbItem}/{lastPage}
    defaults: { _controller: UJMExoBundle:Question:delete, pageNow: 1, maxPage: 10, nbItem: 1, lastPage: 1 }

ujm_question_display_form_type:
    pattern: /choixFormType
    defaults: { _controller: UJMExoBundle:Question:choixFormType }
    requirements:
      _method: POST

ujm_question_duplicate:
    pattern: /duplicate/{interID}/{exoID}
    defaults: { _controller: "UJMExoBundle:Question:duplicate", exoID: -1 }

ujm_question_share:
  pattern: /share/{questionID}
  defaults: { _controller: "UJMExoBundle:Question:share" }

ujm_question_share_search_user:
  pattern: /share/search/user
  defaults: { _controller: "UJMExoBundle:Question:search" }

ujm_question_show:
    pattern:  /show/{id}/{exoID}
    defaults: { _controller: UJMExoBundle:Question:show, exoID: -1 }

ujm_question_manage_doc:
    pattern:  /manageDoc
    defaults: { _controller: "UJMExoBundle:Question:manageDoc" }

ujm_document_del:
    pattern:  /deleteDoc/{idDoc}
    defaults: { _controller: UJMExoBundle:Question:deleteDoc }

ujm_document_del_linked:
    pattern:  /deletelinkedDoc/{label}
    defaults: { _controller: "UJMExoBundle:Question:deletelinkedDoc" }

ujm_question_name_update:
    pattern: /update/name
    defaults: { _controller: "UJMExoBundle:Question:updateName" }
    requirements:
        _method: POST

ujm_question_sortDocuments:
    pattern: /sort
    defaults: { _controller: "UJMExoBundle:Question:sortDocuments" }

ujm_question_searchDocuments:
    pattern: /search
    defaults: { _controller: "UJMExoBundle:Question:searchDoc" }

ujm_question_shareQuestionUser:
    pattern: /shareQuestionUser
    defaults: { _controller: "UJMExoBundle:Question:shareQuestionUser" }
    requirements:
        _method: POST

ujm_question_search_question:
    pattern:  /SearchQuestion/{exoID}
    defaults: { _controller: UJMExoBundle:Question:searchQuestion, exoID: -1 }

ujm_question_searchQuestion:
    pattern:  /SearchQuestionType
    defaults: { _controller: "UJMExoBundle:Question:searchQuestionType" }

ujm_Document_name_alreadyExist:
    pattern:  /Document/nameAlreadyExist
    defaults: { _controller: "UJMExoBundle:WSRest:nameAlreadyExist" }
    requirements:
      _method: POST

ujm_delete_shared_question:
    pattern:  /{qid}/{uid}/delete/{pageNow}/{maxPage}/{nbItem}/{lastPage}
    defaults: { _controller: UJMExoBundle:Question:deleteSharedQuestion, pageNow: 1, maxPage: 10, nbItem: 1, lastPage: 1 }

ujm_see_shared:
    pattern:  /seeShared/{id}
    defaults: { _controller: "UJMExoBundle:Question:seeSharedWith" }

ujm_document_change_name:
    pattern: /change/document/name
    defaults: {_controller: "UJMExoBundle:Question:changeDocumentName" }

ujm_question_briefSearch:
    pattern: /search/brief
    defaults: {_controller: "UJMExoBundle:Question:briefSearch" }
